import { DoCheck, ElementRef, OnChanges, Renderer2, SimpleChanges, OnInit, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { InputDirective } from '../../input.directive';
import * as i0 from "@angular/core";
export declare class EuiInputRadioComponent extends InputDirective implements OnInit, DoCheck, OnChanges, ControlValueAccessor {
    protected ngControl: NgControl;
    protected _elementRef: ElementRef<HTMLInputElement>;
    protected _renderer: Renderer2;
    private _cd;
    get isInvalid(): any;
    set isInvalid(state: any);
    protected _isInvalid: boolean;
    get cssClasses(): any;
    label: string;
    protected _labelRef: HTMLLabelElement;
    styleClass: string;
    protected type: string;
    get defaultChecked(): boolean;
    set defaultChecked(value: boolean);
    protected _defaultChecked: boolean;
    get selected(): boolean;
    private _hasLabel;
    constructor(ngControl: NgControl, _elementRef: ElementRef<HTMLInputElement>, _renderer: Renderer2, _cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngOnChanges(changes: SimpleChanges): void;
    writeValue(obj: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    protected onCheckedChanged(checked: any): void;
    protected onValueChanged(value: any): void;
    protected setInvalid(state: any): void;
    protected onChange: (_: any) => void;
    protected onTouched: (_: any) => void;
    private processReadonly;
    static ɵfac: i0.ɵɵFactoryDef<EuiInputRadioComponent, [{ optional: true; self: true; }, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiInputRadioComponent, "input[euiInputRadio]", never, { "isInvalid": "isInvalid"; "label": "label"; "styleClass": "styleClass"; "defaultChecked": "checked"; }, {}, never, never>;
}
